<h1>Vous êtes connectée en tant que : {{ this.state.getUser().firstname }} {{ this.state.getUser().name }}</h1>
<button (click)="state.logout()">Déconnexion</button>
<h2>Espace Réunions</h2>
<div *ngFor="let meeting of meetings" >
  <p>
    Nom : {{ meeting.name }}<br>
    Description : {{ meeting.description }}<br>
    Organisateur : {{ meeting.organizer.firstname }}  {{ meeting.organizer.name }}<br>
    Participants :
  </p>
  <ul>
    <li *ngFor="let participant of meeting.participants">{{ participant.firstname }} {{ participant.name }}</li>
  </ul>
  Propositions :
  <ul>
    <li *ngFor="let schedule of meeting.choices" >
      Début:{{ schedule.start.toLocaleDateString() }}&nbsp;{{schedule.start.toLocaleTimeString()}},
      Fin:{{ schedule.end.toLocaleDateString() }}&nbsp;{{schedule.end.toLocaleTimeString()}},
      {{printLocation(schedule.location)}}
      Nombre de vote : {{schedule.votes.length}}
      <button *ngIf="!this.contains(this.employee,schedule.votes)"  class="vote" (click)="addVote(meeting,schedule)"> Voter </button>
      <button *ngIf="this.contains(this.employee,schedule.votes)"  class="Supprimer vote" (click)="deleteVote(meeting, schedule)"> Supprimer Vote </button>    </li>
  </ul>
  <hr>
</div>

<h2>Proposer une réunion</h2>
<div>
  Nom de la réunion : <input type="text" [(ngModel)]="name"><br><br>
  Description : <input type="text" [(ngModel)]="description">
  <br><br>
  <h3>Ajouter un créneau : </h3>
  Date de début : <input type="date" [(ngModel)]="dateDebut" name="trip-start" value="2020-06-09">&nbsp;&nbsp;&nbsp;&nbsp;
  Date de fin : <input type="date" [(ngModel)]="dateFin" name="trip-start" value="2020-06-09"><br><br>
  Lieu : <input type="text" [(ngModel)]="location"><br><br>
  <button (click)="addCreneau()">Ajouter</button>
  <ul>
    <li *ngFor="let schedule of schedules">
      Début : {{schedule.start}} &nbsp;&nbsp;&nbsp;&nbsp;
      Fin : {{schedule.end}} &nbsp;&nbsp;&nbsp;&nbsp;
      Lieu : {{schedule.location}}
    </li>
  </ul>
  <br>
  <h3>Gérer les participants : </h3>
  <select [(ngModel)]="email">
    <option [value]="participant.email" *ngFor="let participant of employees">{{participant.email}}</option>
  </select>
  <button (click)="addParticipant()">Ajouter</button> <button (click)="deleteParticipant()">Supprimer</button>
  <ul>
    <li *ngFor="let personne of participants">
      Nom : {{personne.name}} &nbsp;&nbsp;&nbsp;&nbsp;
      Prénom : {{personne.firstname}} &nbsp;&nbsp;&nbsp;&nbsp;
      Email : {{personne.email}}
    </li>
  </ul>
  <br>
  <button (click)="addMeeting()">Proposer</button>
</div>
